DMTCP\_COMMAND(1)

NAME
dmtcp_command -- send a command to the DMTCP coordinator remotely.

SYNOPSIS

dmtcp_commmand [OPTIONS] command [command...]

DESCRIPTION

dmtcp_command is a tool to send user commands to the DMTCP coordinator remotely.

OPTIONS

-h, --coord-host hostname (environment variable DMTCP_COORD_HOST)
     Hostname where dmtcp_coordinator is run (default: localhost)

-p, --port port (environment variable DMTCP_PORT)
     Port where dmtcp_coordinator is run (default: 7779)

--quiet
     Skip copyright notice

--help
     Print this message and exit.

--version
     Print version information and exit.

  Commands for Coordinator

-s --status
     Print status message

-c, --checkpoint
     Checkpoint all nodes

-bc, --bcheckpoint
     Checkpoint all nodes, blocking until done

-i, --interval <val>
     Update ckpt interval to <val> seconds (0=never)

-k, --kill
     Kill all nodes

-q, --quit
     Kill all nodes and quit

REPORTING BUGS
Report bugs to: dmtcp-forum@lists.sourceforge.net
DMTCP home page: <http://dmtcp.sourceforge.net>

SEE ALSO
dmtcp(1), dmtcp_coordinator(1), dmtcp_launch(1), dmtcp_restart(1), dmtcp_command(1)

AUTHOR
See /usr/share/doc/dmtcp-2.6.0/AUTHORS.

VERSION

DMTCP version 2.6.0 of July, 2019.

COPYRIGHT
See /usr/share/doc/dmtcp-2.6.0/COPYING file.

License LGPLv3+: GNU LGPL version 3 or later <http://gnu.org/licenses/lgpl.html>.

This program comes with ABSOLUTELY NO WARRANTY. This is free software, and you are welcome to redistribute it under certain conditions; see COPYING file for details.